#include <bits/stdc++.h>
using namespace std;

int n;
long long ans=0;
vector<int> divs;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin >> n;

    for(int i=1; i*i<=n; i++)
    {
        if(n%i!=0)
        {
            continue;
        }

        divs.push_back(i);

        if(i*i!=n)
        {
            divs.push_back(n/i);
        }
    }

    sort(divs.begin(), divs.end());

    for(int i=0; i<divs.size(); i++)
    {
        for(int j=i; j<divs.size(); j++)
        {
            for(int k=j; k<divs.size(); k++)
            {
                if(divs[i]*divs[j]*divs[k]==n)
                {
                    ans++;
                }

                if(divs[i]*divs[j]*divs[k]>n)
                {
                    break;
                }
            }
        }
    }

    cout << ans;
    return 0;
}

